Page MenuHomePhabricator

Mysterious missingrev failure during save
Closed, ResolvedPublic

Description

Ori reported that when he was trying to save an article, he repeatedly got errors like {"error":{"code":"missingrev","info":"There is no revision ID 654089716"}. But in reality, his edit was saved, and the revid in the error message was the ID of the new revision he'd created.

It seems like this error is coming from ApiParse.php, probably from the somewhat strange code path that leads to $this->dieUsage( "There is no revision ID {$page->getLatest()}", 'missingrev' );

Event Timeline

Catrope created this task.Mar 29 2015, 9:54 PM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2015, 9:54 PM

Additionally, errors thrown from within a FauxRequest-based API request probably shouldn't kill the main API request.

Nnemo added a subscriber: Nnemo.Apr 6 2015, 4:24 PM

Probably the same underlying issue as T95466

Change 202911 had a related patch set uploaded (by Catrope):
Explicitly pass oldid to ApiParse after saving

https://gerrit.wikimedia.org/r/202911

Change 202911 merged by jenkins-bot:
Explicitly pass oldid to ApiParse after saving

https://gerrit.wikimedia.org/r/202911

Jdforrester-WMF triaged this task as Unbreak Now! priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 202920 had a related patch set uploaded (by Catrope):
Explicitly pass oldid to ApiParse after saving

https://gerrit.wikimedia.org/r/202920

Change 202921 had a related patch set uploaded (by Catrope):
Explicitly pass oldid to ApiParse after saving

https://gerrit.wikimedia.org/r/202921

Change 202920 merged by jenkins-bot:
Explicitly pass oldid to ApiParse after saving

https://gerrit.wikimedia.org/r/202920

Change 202921 merged by jenkins-bot:
Explicitly pass oldid to ApiParse after saving

https://gerrit.wikimedia.org/r/202921

@Catrope: All three patches merged. What's left to do here?

Jdforrester-WMF closed this task as Resolved.Apr 14 2015, 5:53 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.